Subject: Re: Sorting environment
From: [email-masked] (Jim Balter)

12 Apr 1997 01:19:58 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ken Estes <[email-masked]>
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Ken Estes wrote:

> All documentaion I have seen requires that NT environment be sorted
> (more then just one parenthetical comment), thus it is a constraint of

Cites, please.  The MSVC helpbook info for CreateProcess, for instance,
does not state that the environment block must be sorted.

> the Win32 API which intends to be independent of 95/NT and is the
> target of the Cygwin32 effort. I have personally verified this bug
> under the conditions I have explained.

ditto:

bash$ cmd
Microsoft(R) Windows N
(C) Copyright 1985-199

c:\>set
....
PATHEXT=.COM;.EXE;.BAT;.CMD
PROCESSOR_ARCHITECTURE=x86
....
PID=2201

c:\>set PID=99

c:\>set
....
PATHEXT=.COM;.EXE;.BAT;.CMD
PID=99
PROCESSOR_ARCHITECTURE=x86
....
PID=2201

--
<J Q B>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".